%define mod_name mod_bw

Name:		apache-%{mod_name}
Version:	0.92
Release:	%mkrel 8
Summary:    Bandwidth administration module for Apache HTTPD
Group:		System/Servers
License:	Apache License
URL:		http://www.ivn.cl/apache/
Source0: 	http://prdownloads.sourceforge.net/bwmod/mod_bw-%{version}.tgz
Source1:	mod_bw.conf
Source2:	bw.conf
Patch0:     mod_bw-httpd24.patch
Requires:	apache
BuildRequires:	apache-devel
Epoch:		1

%description
mod_bw is a bandwidth administration module for Apache HTTPD 2.0.x

* Restrict the number of simultaneous connections per vhost/dir
* Limit the bandwidth for files on vhost/dir

%prep
%setup -q -c
%patch0 -p 1

%build
%{_httpd_apxs} -c %{mod_name}.c

%install
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_bw.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/bw.conf

%files
%doc ChangeLog LICENSE TODO mod_bw.txt
%config(noreplace) %{_httpd_modconfdir}/10_mod_bw.conf
%config(noreplace) %{_httpd_extconfdir}/bw.conf
%{_httpd_moddir}/mod_bw.so


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.92-8.mga8
+ Revision: 1508522
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1:0.92-7.mga7
+ Revision: 1294399
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1:0.92-6.mga6
+ Revision: 940455
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.92-5.mga5
+ Revision: 750780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.92-4.mga5
+ Revision: 677837
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.92-3.mga4
+ Revision: 502538
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:0.92-2.mga3
+ Revision: 345843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 guillomovitch <guillomovitch> 1:0.92-1.mga3
+ Revision: 280770
- new version
- adapt to new apache setup

* Mon Jul 09 2012 luigiwalser <luigiwalser> 1:0.8-12.mga3
+ Revision: 268960
- fix module configuration to work with systemd (mga #6714)

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:0.8-11.mga3
+ Revision: 223841
- httpd restart is handled by filetriggers now

* Fri Jan 20 2012 guillomovitch <guillomovitch> 1:0.8-10.mga2
+ Revision: 198769
- imported package apache-mod_bw


* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-10mdv2011.0
+ Revision: 678286
- mass rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-9mdv2011.0
+ Revision: 587944
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-8mdv2010.1
+ Revision: 516072
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-7mdv2010.0
+ Revision: 406556
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-6mdv2009.1
+ Revision: 325663
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-5mdv2009.0
+ Revision: 234826
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-4mdv2009.0
+ Revision: 215551
- fix rebuild

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-3mdv2008.1
+ Revision: 181707
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-2mdv2008.0
+ Revision: 82539
- rebuild

* Wed May 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.8-1mdv2008.0
+ Revision: 27178
- 0.8


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-4mdv2007.1
+ Revision: 140653
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7-3mdv2007.1
+ Revision: 79359
- Import apache-mod_bw

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7-3mdv2007.0
- rebuild

* Wed Apr 05 2006 Raphaël Gertz <rapsys@free.fr> 1:0.7-2mdk
- fix apr_atomic_add undefined symbol (consider that if
  APR_MAJOR_VERSION is not defined we have a > 1 version)
- Rename 32_mod_bw.conf config script and change it to keep it in iso8859-1

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.7-1mdk
- 0.7

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-2mdk
- rebuilt against apache-2.2.0

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-1mdk
- 0.6
- fix versioning
- fix dl url

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.5-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.5-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.5-2mdk
- use the %%mkrel 1

* Wed Feb 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.5-1mdk
- initial Mandrakelinux package
- src.rpm file sent by Emre SOKULLU <esokullu@gmail.com> to the 
  cooker mailinglist, and polished by me.

